// THIS IS THE CALLBACK FUNCTION FOR EXPONENTIAL FIT (y = a * exp(b*x) )
function ExpBtn_callback(handles)
    [x,y] =  Data()
    dx = (max(x)- min(x))/5
    X = linspace(min(x)-dx,max(x)+dx,1000)
    Xnew = x 
    Ynew = log( y )
    n = length ( Xnew )
    b  = ( n * sum ( Xnew .* Ynew ) - sum ( Xnew )* sum ( Ynew ) ) /( n* sum ( Xnew .* Xnew ) - ( sum ( Xnew) ) ^2 );
    lna = sum ( Ynew ) / n - b *sum( Xnew ) / n;
    a = exp( lna );
    Y = a*exp(b*X);
    plot(x,y,'k.',X,Y,'g');
    LabelGraph(handles)
    ResultStr = "======= Exponential Fitting =======\n\n"+...
    "The exponential function obtained is : \n\n" +...
    msprintf("\t y = %0.4G exp(%0.4G x)",a,b)+"\n";;
    legend('y vs. x',msprintf("y = %0.4G exp(%0.4G x)",a,b),2)
    ResultString(handles,ResultStr);
endfunction
