// THIS IS THE CALLBACK FUNCTION FOR POLYNOMIAL FIT BUTTON (Y = a1 + a2 * x + a3 * x^2 + ......)
function PolyFitBtn_Callback(handles)
    [x,y] =  Data()
    dx = (max(x)- min(x))/5
    X = linspace(min(x)-dx,max(x)+dx,1000)
    n = length ( x )
    o = evstr(handles.PolyOrderEntry.string)
    m = o+1
    if o == [] then
        messagebox("Please Enter the order of the polynomial", "Error!!","error")
        error("Please Enter the order of the polynomial")
    elseif n<=o 
        messagebox("Fitting is not possible please enter more data points ", "Error!!", "error")
        error("For polynomial fitting number of data points must be greater than order of polynomial")
    else
        for j = 1: m
            for k = 1: m
                C (j , k) = sum ( x .^( j+k -2) )
            end
            B ( j ) = sum( y .*( x .^( j -1 ) ) )
        end
        A = inv(C)*B
        Y = poly(A, "X",  "coeff")
        S = sci2exp(Y)
        plot(x,y,'k.',X,evstr(S),'r')
        LabelGraph(handles)
        if (o<=3)
            legend('y vs. x',"Y = "+S,2)
        else
            legend('y vs. x',"Polynomial Fit",2)
        end
        ResultStr = "======= Polynomial Fitting =======\n\n"+...
        "coefficients of polynomial : \n\t " + sci2exp(A') + "\n\n"+...
        "The Polynomial equation obtained is:\n\t" + sci2exp(Y) + "\n";
        ResultString(handles,ResultStr);
    end
endfunction
