// THIS IS THE CALLBACK FUNCTION FOR POWERFUNCTION BUTTON (y = a * x^(b))
function PowerFnBtn_callback(handles)
    [x,y] =  Data();
    dx = (max(x)- min(x))/5;
    X = linspace(min(x)-dx,max(x)+dx,1000);
    Xnew = log( x );
    Ynew = log( y );
    n = length ( Xnew );
    b = ( n * sum ( Xnew .* Ynew ) - sum( Xnew ) *sum( Ynew ) ) /( n*sum ( Xnew .* Xnew ) - ( sum ( Xnew ) ) ^2 );
    lna = sum ( Ynew ) / n - b *sum( Xnew ) / n;
    a = exp( lna );
    Y = a*X.^(b);
    plot(x,y,'k.',X,Y,'m');
    LabelGraph(handles)
    legend('y vs. x',msprintf("y = %0.4Gx^%0.4G (Fitted Curve)",a,b),2)
    ResultStr = "======= Power Function Fitting =======\n\n"+...
    "The power function equation obtained is \n\n" + ...
    msprintf("\t Y = %0.4G Xˆ%0.4G ",a , b )+"\n";
    ResultString(handles,ResultStr)
endfunction
